> For the complete documentation index, see [llms.txt](https://docs.bastionwallet.io/bastion-sdk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bastionwallet.io/bastion-sdk/guides/sponsored-transactions.md).

# Sponsored transactions

Every transaction through the Bastion SDK is a sponsored transaction by default.

We first call the Pimlico paymaster, and then after getting the sponsorship, we send it through a bundler.

That way, the users or the DAPPs don't need to pay the gas fees.

To propagate a Sponsored transaction, you don't need to do anything. You create a bastionConnect signer and then use it like an ethers.js signer.

```typescript
const bastion = new Bastion();
const bastionConnect = await bastion.bastionConnect;

const CONFIG = {
	chainId: <chain_id>, // optional
	privateKey: <your_private_key>, //optional
	rpcUrl: <RPC_URL>, //optional
	apiKey: <your_api_key> //required
};			
bastionConnect.init(<your_web3Provider>, CONFIG);

// Now you can, for instance, send ETH
const tx = {
        to: "<your_address>",
        value: ethers.utils.parseEther("0.000002"),
      };

const res = await bastionConnect.sendTransaction(tx);

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bastionwallet.io/bastion-sdk/guides/sponsored-transactions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
